name='coolercontrold-bin'
_pkgname=${name%-bin}
_app_id="org.$_pkgname.CoolerControl"
version='2.1.0'
release='2'
desc='A program to monitor and control your cooling devices: daemon (binary release)'
desk_ru='Программа для мониторинга и управления тепловыми устройствами: демон (бинарная версия)'
homepage='https://gitlab.com/coolercontrol/coolercontrol'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPL-3.0-or-later')
provides=('coolercontrold')
conflicts=('coolercontrold')

deps=(
	'libdrm'
	'libgcc'
	'glibc'
)
deps_arch=(
	'libdrm'
	'gcc-libs'
	'glibc'
)

build_deps=(
  'desktop-file-utils'
  'libappstream-glib'
)
build_deps_arch=(
  'appstream-glib'
  'desktop-file-utils'
)

sources=(
  "https://gitlab.com/coolercontrol/coolercontrol/-/releases/$version/downloads/packages/${_pkgname}_$version"
  "https://gitlab.com/coolercontrol/coolercontrol/-/archive/$version/coolercontrol-$version.tar.gz"
)
checksums=(
  'bf12254bab40362c3bd820d2cc68674b91c9bebc46069a6eda38f93331e4f827'
  'f0850097914fb8892ee49c03c5cea55e78c8f3e6aa99b417fc86f44250b6bdbd'
)

check() {
  chmod +x "./${_pkgname}_$version"
  "./${_pkgname}_$version" --version
}

package() {
  install-binary "./${_pkgname}_$version" ${_pkgname}

  cd "${srcdir}/${name%d-bin}-$version"

  install-systemd "packaging/systemd/$_pkgname.service"

  install -Dm644 "README.md" -t "$pkgdir/usr/share/doc/$_pkgname"
  install-license ./LICENSE ./$_pkgname/LICENSE
}

files() {
  echo ./usr/bin/coolercontrold
  echo ./usr/lib/systemd/system/$_pkgname.service
  echo ./usr/share/doc/coolercontrold/README.md
  echo ./usr/share/licenses/coolercontrold/LICENSE
}

