name='python3-cleo'
version='2.1.0'
release='3'
desc='Cleo allows you to create beautiful and testable command-line interfaces.'
homepage='https://github.com/python-poetry/cleo'
maintainer='Евгений Храмов <xpamych@yandex.ru>'
architectures=('all')
license=('MIT')
provides=('cleo')
conflicts=('cleo')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")

build_deps=("python3" "python3-pip")
build_deps_arch=("python" "python-pip")
build_deps_alpine=("python3" "py3-pip")

sources=("https://files.pythonhosted.org/packages/source/c/cleo/cleo-2.1.0.tar.gz")
checksums=('blake2b-256:3c30f7960ed7041b158301c46774f87620352d50a9028d111b4211187af13783')

build() {
  cd "$srcdir/cleo-${version}"
  python -m build --wheel --no-isolation
}

package() {
  cd "$srcdir/cleo-${version}"
  pip install --root="${pkgdir}/" . --no-deps --disable-pip-version-check
}

files() {
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/cleo/*
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/cleo-${version}.dist-info/*
}