name='python3-deepdiff'
version='8.5.0'
release='1'
desc='Deep Difference and Search of any Python object/data. Recreate objects by adding adding deltas to each other.'
desk_ru='Глубокое сравнение и поиск любого Python объекта/данных. Восстановление объектов путем добавления дельт к друг другу.'
homepage='https://github.com/seperman/deepdiff'
maintainer='Евгений Храмов <xpamych@yandex.ru>'
architectures=('all')
license=('MIT')
provides=('deepdiff')
conflicts=('deepdiff' 'python3-deepdiff')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")

build_deps=("python3" "python3-pip" "python3-flit_core")
build_deps_arch=("python" "python-pip" "python3-flit_core")
build_deps_alpine=("python3" "py3-pip" "python3-flit_core")

sources=("https://files.pythonhosted.org/packages/source/d/deepdiff/deepdiff-$version.tar.gz")
checksums=('blake2b-256:0a0f9cd2624f7dcd755cbf1fa21fb7234541f19a1be96a56f387ec9053ebe220')

build() {
  cd "$srcdir/deepdiff-${version}"
  python -m build --wheel --no-isolation
}

package() {
  cd "$srcdir/deepdiff-${version}"
  pip install --root="${pkgdir}/" . --ignore-installed --no-deps --disable-pip-version-check
}

files() {
  echo ./usr/local/bin/deep
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/deepdiff/**/*
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/deepdiff-${version}.dist-info/*
}